petsc-3.4.2 2013-07-02

# SNESGetJacobian

Returns the Jacobian matrix and optionally the user provided context for evaluating the Jacobian.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetJacobian(SNES snes,Mat *Amat,Mat *Pmat,PetscErrorCode (**SNESJacobianFunction)(SNES,Vec,Mat*,Mat*,MatStructure*,void*),void **ctx)

Not Collective, but Mat object will be parallel if SNES object is

### Input Parameter

snes -the nonlinear solver context

### Output Parameters

| Amat | - location to stash (approximate) Jacobian matrix (or NULL)
| Pmat | - location to stash matrix used to compute the preconditioner (or NULL)
| SNESJacobianFunction | - location to put Jacobian function (or NULL)
| ctx | - location to stash Jacobian ctx (or NULL)

### See Also

SNESSetJacobian(), SNESComputeJacobian()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages